Bug 224828 - devel/valgrind devel/valgrind-devel: Fix build with clang 6.0.0
Summary: devel/valgrind devel/valgrind-devel: Fix build with clang 6.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Bryan Drewery
URL:
Keywords:
Depends on:
Blocks: 224669
  Show dependency treegraph
 
Reported: 2018-01-01 19:57 UTC by Dimitry Andric
Modified: 2018-02-23 17:53 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (bdrewery)


Attachments
Fix detection of clang 6 and higher for valgrind (948 bytes, patch)
2018-01-01 19:57 UTC, Dimitry Andric
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitry Andric freebsd_committer 2018-01-01 19:57:59 UTC
Created attachment 189325 [details]
Fix detection of clang 6 and higher for valgrind

While testing the new clang600-import branch (see bug 224669), I noticed that valgrind and valgrind-devel fail to compile, due clang 6.0.0 not being detected properly:

checking for a supported version of gcc... no (6.0.0)
configure: error: please use gcc >= 3.0 or clang >= 2.9
===>  Script "configure" failed unexpectedly.

Here is a patch to fix it, which should work until clang 10.0.0 gets released.
Comment 1 Bryan Drewery freebsd_committer 2018-01-24 18:57:48 UTC
Thanks!
Comment 2 commit-hook freebsd_committer 2018-01-24 18:58:27 UTC
A commit references this bug:

Author: bdrewery
Date: Wed Jan 24 18:57:41 UTC 2018
New revision: 459883
URL: https://svnweb.freebsd.org/changeset/ports/459883

Log:
  Fix build with clang 6.

  PR:		224828
  Submitted by:	dim

Changes:
  head/devel/valgrind/files/patch-configure.ac
  head/devel/valgrind-devel/files/patch-configure.ac
Comment 3 commit-hook freebsd_committer 2018-02-23 17:53:25 UTC
A commit references this bug:

Author: swills
Date: Fri Feb 23 17:52:30 UTC 2018
New revision: 462710
URL: https://svnweb.freebsd.org/changeset/ports/462710

Log:
  MFH: r459883

  Fix build with clang 6.

  PR:		224828
  Submitted by:	dim

  Approved by:	ports-secteam (implicit)

Changes:
_U  branches/2018Q1/
  branches/2018Q1/devel/valgrind/files/patch-configure.ac
  branches/2018Q1/devel/valgrind-devel/files/patch-configure.ac